> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.data.aviato.co/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.data.aviato.co/_mcp/server.

# Get Employees

GET https://data.api.aviato.co/company/employees

Get the employees of the specified company.

Reference: https://docs.data.aviato.co/api-reference/company/get-employees

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `id` (string, optional)
- `linkedinID` (string, optional)
- `linkedinNumID` (string, optional)
- `linkedinURL` (string, optional) — LinkedIn URL, accepts company URLs like linkedin.com/company/google or linkedin.com/company/1441
- `facebookID` (string, optional)
- `twitterID` (string, optional)
- `crunchbaseID` (string, optional)
- `pitchbookID` (string, optional)
- `producthuntID` (string, optional)
- `dealroomID` (string, optional)
- `goldenID` (string, optional)
- `angellistID` (string, optional)
- `wellfoundID` (string, optional)
- `website` (string, optional)
- `perPage` (integer, required) — Number of items per page.
- `page` (integer, required) — Page number, starts from 0.

## Response

### 200

- `employees` (list of WorkExperienceWithPerson, required)
- `pages` (integer, required)
- `totalResults` (integer, required)

## Errors

### 404 Company Not Found Error

### 401 Unauthorized Error

### 429 Rate Limit Error

### 400 Bad Request Error

- `message` (string, required)

## Types

### WorkExperienceWithPerson

Work experience object that includes basic person information

- `person` (BarePerson, required) — Basic information about the person
- `personID` (string, required) — The ID of the person who had this work experience
- `positionList` (list of WorkPosition, required) — List of positions held during this work experience
- `companyID` (string, optional) — The ID of the company where the person worked
- `companyName` (string, optional) — The name of the company where the person worked
- `endDate` (datetime, optional) — The end date of the work experience, will be null if ongoing.
- `endDatePrecision` (enum, optional) — The precision of endDate (work experience). YEAR means only the year is known, MONTH means the year and month are known, DAY means the full date is known.
  - Allowed values: `YEAR`, `MONTH`, `DAY`
- `entityType` (enum, optional) — The type of entity this experience is associated with ('company' or 'school')
  - Allowed values: `person`, `company`, `school`, `organization`
- `linkedinID` (string, optional) — The LinkedIn ID of the company associated with this work experience
- `linkedinNumID` (string, optional) — The numeric ID of the company on LinkedIn
- `startDate` (datetime, optional) — The start date of the work experience
- `startDatePrecision` (enum, optional) — The precision of startDate (work experience). YEAR means only the year is known, MONTH means the year and month are known, DAY means the full date is known.
  - Allowed values: `YEAR`, `MONTH`, `DAY`

### BarePerson

A Person Object, with only the most essentail information to identify the person

- `id` (string, required) — The Aviato ID of the person
- `fullName` (string, required) — The full name of the person
- `firstName` (string, required) — The first name of the person
- `lastName` (string, required) — The last name of the person
- `entityType` (enum, optional) — The type of entity the person is. This is always `"person"` for people.
  - Allowed values: `person`, `company`, `school`, `organization`
- `location` (string, optional) — The location of the person.
- `URLs` (URLs, optional) — All URLs associated with the person.

### WorkPosition

This object represents a position held at a given company. It includes the starting and ending date of the position, (ending date is undefined if the position has not yet ended). And it also includes the title of the position.

- `startDate` (string, optional) — The start date of the position
- `endDate` (datetime, optional) — The end date of the position, will be null if ongoing.
- `startDatePrecision` (enum, optional) — The precision of startDate (position). YEAR means only the year is known, MONTH means the year and month are known, DAY means the full date is known.
  - Allowed values: `YEAR`, `MONTH`, `DAY`
- `endDatePrecision` (enum, optional) — The precision of endDate (position). YEAR means only the year is known, MONTH means the year and month are known, DAY means the full date is known.
  - Allowed values: `YEAR`, `MONTH`, `DAY`
- `title` (datetime, optional) — The job title of the position
- `location` (string, optional) — The location of the position
- `department` (string, optional) — The department of the position
- `seniorityScore` (integer, optional) — The seniority score of the position (1-7)
- `description` (string, optional) — Description of position as provided by the person
- `employmentType` (enum, optional) — The employment type of the position as reported on LinkedIn. Normalized to a fixed vocabulary; legacy/unrecognized labels map to OTHER.
  - Allowed values: `FULL_TIME`, `PART_TIME`, `CONTRACT`, `INTERNSHIP`, `FREELANCE`, `SELF_EMPLOYED`, `APPRENTICESHIP`, `SEASONAL`, `TEMPORARY`, `VOLUNTEER`, `REMOTE`, `OTHER`
- `skills` (list of string, optional) — Skills the person associated with this specific position on LinkedIn

### URLs

This object represents different urls that can be associated with any type of entity. (Does not include http prefix)

- `golden` (string, optional)
- `contact` (string, optional)
- `twitter` (string, optional)
- `website` (string, optional)
- `facebook` (string, optional)
- `github` (string, optional)
- `linkedin` (string, optional)
- `pitchbook` (string, optional)
- `angelList` (string, optional)
- `signalNFX` (string, optional)
- `crunchbase` (string, optional)

## Examples

**Response**

```json
{
  "employees": [
    {
      "person": {
        "id": "id",
        "fullName": "fullName",
        "firstName": "firstName",
        "lastName": "lastName",
        "entityType": "person",
        "location": "location",
        "URLs": {
          "golden": "golden",
          "contact": "contact",
          "twitter": "twitter",
          "website": "website",
          "facebook": "facebook",
          "github": "github",
          "linkedin": "linkedin",
          "pitchbook": "pitchbook",
          "angelList": "angelList",
          "signalNFX": "signalNFX",
          "crunchbase": "crunchbase"
        }
      },
      "personID": "personID",
      "positionList": [
        {
          "startDate": "startDate",
          "endDate": "2024-01-15T09:30:00Z",
          "startDatePrecision": "YEAR",
          "endDatePrecision": "YEAR",
          "title": "2024-01-15T09:30:00Z",
          "location": "location",
          "department": "department",
          "seniorityScore": 1,
          "description": "description",
          "employmentType": "FULL_TIME",
          "skills": [
            "skills",
            "skills"
          ]
        },
        {
          "startDate": "startDate",
          "endDate": "2024-01-15T09:30:00Z",
          "startDatePrecision": "YEAR",
          "endDatePrecision": "YEAR",
          "title": "2024-01-15T09:30:00Z",
          "location": "location",
          "department": "department",
          "seniorityScore": 1,
          "description": "description",
          "employmentType": "FULL_TIME",
          "skills": [
            "skills",
            "skills"
          ]
        }
      ],
      "companyID": "companyID",
      "companyName": "companyName",
      "endDate": "2024-01-15T09:30:00Z",
      "endDatePrecision": "YEAR",
      "entityType": "person",
      "linkedinID": "linkedinID",
      "linkedinNumID": "linkedinNumID",
      "startDate": "2024-01-15T09:30:00Z",
      "startDatePrecision": "YEAR"
    },
    {
      "person": {
        "id": "id",
        "fullName": "fullName",
        "firstName": "firstName",
        "lastName": "lastName",
        "entityType": "person",
        "location": "location",
        "URLs": {
          "golden": "golden",
          "contact": "contact",
          "twitter": "twitter",
          "website": "website",
          "facebook": "facebook",
          "github": "github",
          "linkedin": "linkedin",
          "pitchbook": "pitchbook",
          "angelList": "angelList",
          "signalNFX": "signalNFX",
          "crunchbase": "crunchbase"
        }
      },
      "personID": "personID",
      "positionList": [
        {
          "startDate": "startDate",
          "endDate": "2024-01-15T09:30:00Z",
          "startDatePrecision": "YEAR",
          "endDatePrecision": "YEAR",
          "title": "2024-01-15T09:30:00Z",
          "location": "location",
          "department": "department",
          "seniorityScore": 1,
          "description": "description",
          "employmentType": "FULL_TIME",
          "skills": [
            "skills",
            "skills"
          ]
        },
        {
          "startDate": "startDate",
          "endDate": "2024-01-15T09:30:00Z",
          "startDatePrecision": "YEAR",
          "endDatePrecision": "YEAR",
          "title": "2024-01-15T09:30:00Z",
          "location": "location",
          "department": "department",
          "seniorityScore": 1,
          "description": "description",
          "employmentType": "FULL_TIME",
          "skills": [
            "skills",
            "skills"
          ]
        }
      ],
      "companyID": "companyID",
      "companyName": "companyName",
      "endDate": "2024-01-15T09:30:00Z",
      "endDatePrecision": "YEAR",
      "entityType": "person",
      "linkedinID": "linkedinID",
      "linkedinNumID": "linkedinNumID",
      "startDate": "2024-01-15T09:30:00Z",
      "startDatePrecision": "YEAR"
    }
  ],
  "pages": 1,
  "totalResults": 1
}
```

**SDK Code**

```python
import requests

url = "https://data.api.aviato.co/company/employees"

querystring = {"page":"1","perPage":"100"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://data.api.aviato.co/company/employees?page=1&perPage=100';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://data.api.aviato.co/company/employees?page=1&perPage=100"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://data.api.aviato.co/company/employees?page=1&perPage=100")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://data.api.aviato.co/company/employees?page=1&perPage=100")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://data.api.aviato.co/company/employees?page=1&perPage=100', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://data.api.aviato.co/company/employees?page=1&perPage=100");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://data.api.aviato.co/company/employees?page=1&perPage=100")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```